Skip to main content
GET
Get customer

Authorizations

X-API-KEY
string
header
required

Path Parameters

customer_id
integer
required

Query Parameters

record_status
enum<string>[] | null
Available options:
draft,
posted,
archived

Response

OK

term_id
integer | null
required
term_name
string
required
created_at
string<date-time>
required

Date and time the record was created

updated_at
string<date-time>
required

Date and time the record was last updated

id
integer
required
address
string
required
country
string
required
name
string
required
unique_id
string | null
required
website
string
required
email
string
required
customer_type
string
required
is_active
boolean
required
phone
string
required
record_status
string
required
is_taxable
boolean
required
default_tax_code
string
required
tax_registration_number
string
required
default_currency
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
full_address
AddressSchemaIn · object | null
required
shipping_address
AddressSchemaIn · object | null
required
attachments
PublicAttachmentSchemaOut · object[]
gst_registration_numbers
GstRegistrationItemSchemaOut · object[]
vat_registration_numbers
VatRegistrationItemSchemaOut · object[]
classification_line_ids
integer[]
custom_fields
CustomFieldValuePairOutputSchema · object[]
created_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

approval_status
string | null
next_approvers
ApproverDictSchema · object[] | null
rejected_by
RejectedBySchema · object | null

Schema for rejector information including rejection reason.

date_style
enum<string> | null

Date display style: short, medium, long, or custom. Null means the organization default applies.

Available options:
short,
medium,
long,
custom
date_format_custom
string | null

Day.js / Moment-style date pattern (max 16 chars). Tokens: YYYY, YY, MMMM, MMM, MM, M, DD, D. Separators: / . - , and space. Examples: DD.MM.YYYY, MM/DD/YYYY, YYYY-MM-DD. Not ICU or raw Intl.

Maximum string length: 16
code
string | null
tin
string
default:""

Tax identification number. The value is an empty string when the number is not set.

tin_type
string
default:""

Type of tax identification number: ein, ssn, utr, or rfc (Mexico). The value is an empty string when the type is not set.

business_id
string
default:""
default_ar_account_id
integer | null
parent_id
integer | null
tax_exemption_reason_code
string | null
tax_exemption_reason_code_origin
enum<string> | null
Available options:
AVALARA
default_billable_markup_pct
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
default_billable_consolidation
enum<string> | null
Available options:
by_line,
consolidated
default_billable_expense_item_id
integer | null
company_id
integer | null
company_name
string | null
allowed_company_ids
integer[]
merged_into_id
integer | null

When you merge this customer into another customer, the ID of that customer.

classifications
RecordClassificationsSchemaOut · object[]